Description

Step 5 says "copy the folders of your installed plugins..." but it doesn't tell me where to find them

Step 6 says "Run the following command from your Redmine root directory"

Is that the new installation's root directory, or the old one's?

Step 7 says "check for any themes that you may have installed in the "public/themes" directory. You can copy them over but

checking for updated version is ideal."

But it doesn't tell me how to check for an updated version.  Imagine I didn't create this installation, or I created it 2 years ago just to

get a job done and haven't touched it since, and am now tasked with upgrading it.  These instructions assume a great deal of

background knowledge I don't have or may have lost.

History

#1 - 2011-06-06 14:06 - Dave Abrahams

Oh, and finally, a step like "swap the old redmine folder with the new one" is missing.

Oh, and one more thing: the database backup should be the very last step, should it not, just to capture as much as possible in case of a problem?

An automated upgrade procedure would be most welcome!

#2 - 2011-06-07 14:03 - Tom Rochette

See the changes done by Etienne Massip @ http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade.

#3 - 2011-06-10 10:45 - Etienne Massip

- Resolution set to Fixed

Dave Abrahams wrote:

Oh, and finally, a step like "swap the old redmine folder with the new one" is missing.

 Well, swapping Redmine folders or not is the user choice.

Oh, and one more thing: the database backup should be the very last step, should it not, just to capture as much as possible in case of a

problem?

 You can do an additional DB backup at the end of the migration, but what if your DB is corrupted by migration ??

A DB backup before DDL operations is commonly a must do.

BTW, I made the other changes you reported so I can close the issue, thanks for reporting.

#4 - 2011-06-10 10:45 - Etienne Massip

- Status changed from New to Closed

#5 - 2011-06-10 13:10 - Dave Abrahams

Etienne Massip wrote:
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade


Dave Abrahams wrote:

Oh, and finally, a step like "swap the old redmine folder with the new one" is missing.

 Well, swapping Redmine folders or not is the user choice.

Oh, and one more thing: the database backup should be the very last step, should it not, just to capture as much as possible in case of a

problem?

 You can do an additional DB backup at the end of the migration, but what if your DB is corrupted by migration ??

A DB backup before DDL operations is commonly a must do.

 Sorry, of course I meant the last step just before migration operations modify the DB.  As I was trying to work through  everything I had to do I became

increasingly conscious of the long delay between my backup and the first operation that could have modified the DB.
